Attrib (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.windows.Attrib,Attrib class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.windows
Class Attrib

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.ExecTask
                        |
                        +--org.apache.tools.ant.taskdefs.ExecuteOn
                              |
                              +--org.apache.tools.ant.taskdefs.optional.windows.Attrib

public class Attrib
extends ExecuteOn

Attrib equivalent for Win32 environments. Note: Attrib parameters /S and /D are not handled.

Since:
  Ant 1.6

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`ExecuteOn.FileDirBoth`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`destDir, filesets, mapper, mapperElement, srcFilePos, srcIsFirst, targetFilePos, type`

Fields inherited from class org.apache.tools.ant.taskdefs.ExecTask
`cmdl, failOnError, newEnvironment, redirector, redirectorElement`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Attrib()`

Method Summary
`protected void` | `checkConfiguration()` Check the configuration of this ExecuteOn instance.
`protected boolean` | `isValidOs()` Is this the OS the user wanted?
`void` | `setAddsourcefile(boolean b)` Set whether to send the source file name on the command line.
`void` | `setArchive(boolean value)` set the Archive file attribute
`void` | `setCommand(java.lang.String e)`
`void` | `setExecutable(java.lang.String e)` Set the name of the executable program.
`void` | `setFile(java.io.File src)`
`void` | `setHidden(boolean value)` set the Hidden file attribute
`void` | `setMaxParallel(int max)` Limit the command line length by passing at maximum this many sourcefiles at once to the command.
`void` | `setParallel(boolean parallel)` Set whether to execute in parallel mode.
`void` | `setReadonly(boolean value)` set the ReadOnly file attribute
`void` | `setSkipEmptyFilesets(boolean skip)` Set whether empty filesets will be skipped.
`void` | `setSystem(boolean value)` set the System file attribute

Methods inherited from class org.apache.tools.ant.taskdefs.ExecuteOn
`add, addDirset, addFilelist, addFileset, createHandler, createMapper, createSrcfile, createTargetfile, getCommandline, getCommandline, getDirs, getFiles, getFilesAndDirs, runExec, runParallel, setDest, setForce, setForwardslash, setIgnoremissing, setRelative, setType, setupRedirector, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.ExecTask
`addConfiguredRedirector, addEnv, createArg, createWatchdog, execute, getResolveExecutable, logFlush, maybeSetResultPropertyValue, prepareExec, resolveExecutable, runExecute, setAppend, setCommand, setDir, setError, setErrorProperty, setFailIfExecutionFails, setFailonerror, setInput, setInputString, setLogError, setNewenvironment, setOs, setOutput, setOutputproperty, setResolveExecutable, setResultProperty, setSearchPath, setSpawn, setTimeout, setTimeout, setVMLauncher`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attrib

    public Attrib()

Method Detail

### setFile

    public void setFile(java.io.File src)

### setReadonly

    public void setReadonly(boolean value)

  set the ReadOnly file attribute

### setArchive

    public void setArchive(boolean value)

  set the Archive file attribute

### setSystem

    public void setSystem(boolean value)

  set the System file attribute

### setHidden

    public void setHidden(boolean value)

  set the Hidden file attribute

### checkConfiguration

    protected void checkConfiguration()

  Description copied from class: `ExecuteOn`
  Check the configuration of this ExecuteOn instance.

  Overrides:
    `checkConfiguration` in class `ExecuteOn`

### setExecutable

    public void setExecutable(java.lang.String e)

  Description copied from class: `ExecTask`
  Set the name of the executable program.

  Overrides:
    `setExecutable` in class `ExecTask`
  Parameters:
    `e` - the name of the executable program.

### setCommand

    public void setCommand(java.lang.String e)

### setAddsourcefile

    public void setAddsourcefile(boolean b)

  Description copied from class: `ExecuteOn`
  Set whether to send the source file name on the command line.

  Defaults to `true`.

  Overrides:
    `setAddsourcefile` in class `ExecuteOn`
  Parameters:
    `b` - whether to add the source file to the command line.

### setSkipEmptyFilesets

    public void setSkipEmptyFilesets(boolean skip)

  Description copied from class: `ExecuteOn`
  Set whether empty filesets will be skipped. If true and no source files have been found or are newer than their corresponding target files, the command will not be run.

  Overrides:
    `setSkipEmptyFilesets` in class `ExecuteOn`
  Parameters:
    `skip` - whether to skip empty filesets.

### setParallel

    public void setParallel(boolean parallel)

  Description copied from class: `ExecuteOn`
  Set whether to execute in parallel mode. If true, run the command only once, appending all files as arguments. If false, command will be executed once for every file. Defaults to false.

  Overrides:
    `setParallel` in class `ExecuteOn`
  Parameters:
    `parallel` - whether to run in parallel.

### setMaxParallel

    public void setMaxParallel(int max)

  Description copied from class: `ExecuteOn`
  Limit the command line length by passing at maximum this many sourcefiles at once to the command.

  Set to <= 0 for unlimited - this is the default.

  Overrides:
    `setMaxParallel` in class `ExecuteOn`
  Parameters:
    `max` - `int` maximum number of sourcefiles passed to the executable.

### isValidOs

    protected boolean isValidOs()

  Description copied from class: `ExecTask`
  Is this the OS the user wanted?

  Overrides:
    `isValidOs` in class `ExecTask`
  Returns:
    boolean.
    - `true` if the os under which Ant is running is matches one os in the os attribute or if the os attribute is null
    - `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.